noreply / rubyforge.org wrote:
> Bugs item #4949, was opened at 2006-07-05 18:03
> You can respond by visiting: 
> http://rubyforge.org/tracker/?func=detail&atid=1698&aid=4949&group_id=426
> 
> Category: Core
> Group: None
> Status: Open
> Resolution: None
> Priority: 3
> Submitted By: Gregor Cramer (gcramer)
> Assigned to: Nobody (None)
> Summary: segmentation fault while evaluating printf:Kernel
> 
> Initial Comment:
> I tried
> 
>   $ ruby -e 'printf("%12378378773f\n", 1.2)'
> 
> on the command line. The result is
> 
>   $ -e:1: [BUG] Segmentation fault
> 
> ----------------------------------------------------------------------
> 
> You can respond by visiting: 
> http://rubyforge.org/tracker/?func=detail&atid=1698&aid=4949&group_id=426
> 

This must be against 1.9, because in 1.8.4 and the 1.8.5 nightly build I get 
"in `printf': width too big (ArgumentError)".

Regards,

Dan

PS - I'm going to ask Tom to put "1.8.x" and "1.9.x" (or maybe a fixed set of 
version numbers) as group field options so that we can more immediately tell 
which version we're dealing with.


This communication is the property of Qwest and may contain confidential or
privileged information. Unauthorized use of this communication is strictly 
prohibited and may be unlawful.  If you have received this communication 
in error, please immediately notify the sender by reply e-mail and destroy 
all copies of the communication and any attachments.